StreamPagingLoader (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.util.stream

## Class StreamPagingLoader

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.util.stream.StreamPagingLoader

-     public class StreamPagingLoader
      extends Object

  Author:
    "Federico De Faveri defaveri@isti.cnr.it" - "Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `currentEndItem`
    `protected int` | `currentPage`
    `protected int` | `currentStartItem`
    `protected DataSource` | `dataSource`
    `protected EditListener` | `editListener`
    `protected boolean` | `isFilteredStream`
    `protected List<StreamPagingLoaderListener>` | `listeners`
    `protected boolean` | `pageComplete`
    `protected int` | `pageSize`
    `protected com.extjs.gxt.ui.client.store.ListStore<com.extjs.gxt.ui.client.data.ModelData>` | `store`
    `protected ExtendedTimer` | `storeFiller`
    `protected static int` | `STREAM_FILL_POLL_DELAY`
    `protected static int` | `STREAM_STATUS_POLL_DELAY`
    `protected boolean` | `streamComplete`
    `protected int` | `streamSize`
    `protected com.google.gwt.user.client.Timer` | `streamSizePoller`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamPagingLoader(int pageSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(StreamPagingLoaderListener listener)`
    `protected void` | `checkPageComplete()`
    `boolean` | `exceedPage(int storeSize)`
    `protected void` | `fillPage()`
    `protected void` | `fireStreamLoadingComplete()`
    `protected void` | `fireStreamStartLoading()`
    `protected void` | `fireStreamUpdate()`
    `ResultFilter` | `getActiveFilterObject()`
    `int` | `getCurrentPage()`
    `protected boolean` | `getPageCompleted()`
    `int` | `getPageSize()`
    `int` | `getStart()`
    `com.extjs.gxt.ui.client.store.ListStore<com.extjs.gxt.ui.client.data.ModelData>` | `getStore()`
    `protected void` | `initialize()`
    `boolean` | `isNewPage()`
    `protected boolean` | `isPageComplete()`
    `boolean` | `isStreamComplete()`
    `protected void` | `loadData(List<com.extjs.gxt.ui.client.data.ModelData> data)`
    `void` | `nextPage()`
    `protected void` | `pageComplete()`
    `void` | `pollingState()`
    `void` | `pollStreamState()`
    `void` | `prevPage()`
    `void` | `reloadPageForFiltering(int limitFilter, boolean isFirstStart)`
    `void` | `reloadPageWithoutFiltering()`
    `void` | `reset()`
    `void` | `resetFilters()`
    `void` | `setActiveFilterObject(ResultFilter activeFilterObject)`
    `void` | `setDataSource(DataSource dataSource)`
    `void` | `setEditListener(EditListener editListener)`
    `void` | `setIsNewPage(boolean isNewPage)`
    `void` | `setPage(int page)`
    `protected void` | `setPageComplete(boolean bool)`
    `void` | `setStart(int start)`
    `protected void` | `setStreamState(StreamState state)`
    `protected void` | `startFilling()`
    `void` | `startLoading(boolean isOccurrences)`
    `protected void` | `streamComplete()`
    `void` | `streamSizePollerStart()`
    `protected void` | `updateCurrentValues()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STREAM_STATUS_POLL_DELAY

          protected static final int STREAM_STATUS_POLL_DELAY

      See Also:
        Constant Field Values

    - #### STREAM_FILL_POLL_DELAY

          protected static final int STREAM_FILL_POLL_DELAY

      See Also:
        Constant Field Values

    - #### store

          protected com.extjs.gxt.ui.client.store.ListStore<com.extjs.gxt.ui.client.data.ModelData> store

    - #### editListener

          protected EditListener editListener

    - #### dataSource

          protected DataSource dataSource

    - #### listeners

          protected List<StreamPagingLoaderListener> listeners

    - #### pageSize

          protected int pageSize

    - #### currentPage

          protected int currentPage

    - #### currentStartItem

          protected int currentStartItem

    - #### currentEndItem

          protected int currentEndItem

    - #### streamSize

          protected int streamSize

    - #### streamComplete

          protected boolean streamComplete

    - #### isFilteredStream

          protected boolean isFilteredStream

    - #### streamSizePoller

          protected com.google.gwt.user.client.Timer streamSizePoller

    - #### storeFiller

          protected ExtendedTimer storeFiller

    - #### pageComplete

          protected boolean pageComplete

  - ### Constructor Detail

    - #### StreamPagingLoader

          public StreamPagingLoader(int pageSize)

      Parameters:
        `pageSize` -

  - ### Method Detail

    - #### setEditListener

          public void setEditListener(EditListener editListener)

      Parameters:
        `editListener` - the editListener to set

    - #### addListener

          public void addListener(StreamPagingLoaderListener listener)

    - #### initialize

          protected void initialize()

    - #### getPageSize

          public int getPageSize()

      Returns:
        the pageSize

    - #### getCurrentPage

          public int getCurrentPage()

      Returns:
        the currentPage

    - #### reset

          public void reset()

    - #### startLoading

          public void startLoading(boolean isOccurrences)

      Parameters:
        `isOccurrences` -

    - #### streamSizePollerStart

          public void streamSizePollerStart()

    - #### getStore

          public com.extjs.gxt.ui.client.store.ListStore<com.extjs.gxt.ui.client.data.ModelData> getStore()

    - #### pollStreamState

          public void pollStreamState()

    - #### setPageComplete

          protected void setPageComplete(boolean bool)

    - #### getPageCompleted

          protected boolean getPageCompleted()

    - #### setStreamState

          protected void setStreamState(StreamState state)

    - #### streamComplete

          protected void streamComplete()

    - #### setPage

          public void setPage(int page)

    - #### nextPage

          public void nextPage()

    - #### prevPage

          public void prevPage()

    - #### reloadPageForFiltering

          public void reloadPageForFiltering(int limitFilter,
                                    boolean isFirstStart)

    - #### resetFilters

          public void resetFilters()

    - #### reloadPageWithoutFiltering

          public void reloadPageWithoutFiltering()

    - #### pollingState

          public void pollingState()

    - #### startFilling

          protected void startFilling()

    - #### fillPage

          protected void fillPage()

    - #### exceedPage

          public boolean exceedPage(int storeSize)

    - #### loadData

          protected void loadData(List<com.extjs.gxt.ui.client.data.ModelData> data)

    - #### checkPageComplete

          protected void checkPageComplete()

    - #### pageComplete

          protected void pageComplete()

    - #### updateCurrentValues

          protected void updateCurrentValues()

    - #### isPageComplete

          protected boolean isPageComplete()

    - #### fireStreamUpdate

          protected void fireStreamUpdate()

    - #### fireStreamLoadingComplete

          protected void fireStreamLoadingComplete()

    - #### fireStreamStartLoading

          protected void fireStreamStartLoading()

    - #### getActiveFilterObject

          public ResultFilter getActiveFilterObject()

    - #### setActiveFilterObject

          public void setActiveFilterObject(ResultFilter activeFilterObject)

    - #### isStreamComplete

          public boolean isStreamComplete()

    - #### setDataSource

          public void setDataSource(DataSource dataSource)

    - #### getStart

          public int getStart()

    - #### setStart

          public void setStart(int start)

    - #### isNewPage

          public boolean isNewPage()

    - #### setIsNewPage

          public void setIsNewPage(boolean isNewPage)

Copyright © 2013. All Rights Reserved.